Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/opencc: new aport

From: Ivan Tham <pickfire_at_riseup.net>
Date: Tue, 21 Feb 2017 17:44:53 +0800

http://opencc.byvoid.com/
Open Chinese Convert
---
 testing/opencc/APKBUILD | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)
 create mode 100644 testing/opencc/APKBUILD
diff --git a/testing/opencc/APKBUILD b/testing/opencc/APKBUILD
new file mode 100644
index 0000000000..bb16cb40ef
--- /dev/null
+++ b/testing/opencc/APKBUILD
_at_@ -0,0 +1,33 @@
+# Contributor: Ivan Tham <pickfire_at_riseup.net>
+# Maintainer: Ivan Tham <pickfire_at_riseup.net>
+pkgname=opencc
+_pkgname=OpenCC
+pkgver=ver.1.0.5
+pkgrel=0
+pkgdesc="Open Chinese Convert"
+url="http://opencc.byvoid.com/"
+arch="all"
+license="ASL 2.0"
+makedepends="cmake doxygen"
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://github.com/BYVoid/$_pkgname/archive/$pkgver.tar.gz"
+builddir="$srcdir/$_pkgname-$pkgver/build"
+
+build() {
+	mkdir -p "$builddir" && cd "$builddir"
+	cmake .. -DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DBUILD_DOCUMENTATION=on \
+		-DBUILD_TESTING=off || return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+
+	mkdir -p "$pkgdir"-doc/usr/share/doc
+	mv "$pkgdir"/usr/share/$pkgname/doc "$pkgdir"-doc/usr/share/doc/$pkgname
+}
+
+sha512sums="3fbefbafe5c3c2491032158577ab97b5a3edf6ea98a03a7250deba082b72c3112ad4a3396d1a469936ec32e1d141f0a2236001c2891ac9c793add2b082596cc1  ver.1.0.5.tar.gz"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Feb 21 2017 - 17:44:53 GMT